///////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//         This example code is from the book:
//
//           Object-Oriented Programming with C++ and OSF/Motif
//         by
//           Douglas Young
//           Prentice Hall, 1992
//           ISBN 0-13-630252-1	
//
//         Copyright 1991 by Prentice Hall
//         All Rights Reserved
//
//  Permission to use, copy, modify, and distribute this software for 
//  any purpose except publication and without fee is hereby granted, provided 
//  that the above copyright notice appear in all copies of the software.
///////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////
// HelloWindow.C: "Hello World" main window
///////////////////////////////////////////////////////////////
#include <signal.h>
#include <stdio.h>

#include "HelloWindow.h"
#include <Xm/Label.h>

extern void hiho(int sig);

Status x;

Widget HelloWindow::createWorkArea ( Widget parent )
{
    
    // Create a compound string to display the Hello message
    
    XmString xmstr = XmStringCreateSimple ( "Hello World" );
    
    // Create a label widget to display the string
    
    Widget label = XtVaCreateWidget ( "label", 
				     xmLabelWidgetClass,
				     parent, 
				     XmNlabelString, xmstr,
				     NULL );
    
    // Free the compound string when it is no longer needed.
    
    XmStringFree ( xmstr );

    sigset(SIGUSR2, hiho);
    return label;
}

void
hiho(int sig)
{
	printf("hi ho %d\n", sig);
}
